Saltar al contenido principal
GET
/
marketing
/
emails
/
2026-03
/
statistics
/
histogram
Obtener intervalos de estadísticas agrupadas
curl --request GET \
  --url https://api.hubapi.com/marketing/emails/2026-03/statistics/histogram \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "aggregations": {
        "counters": {},
        "deviceBreakdown": {},
        "qualifierStats": {},
        "ratios": {}
      },
      "interval": {
        "end": "2023-11-07T05:31:56Z",
        "start": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de consulta

emailIds
integer<int64>[]

Filtra por los ID de correo. Incluye solo las estadísticas de los correos con estos ID.

endTimestamp
string<date-time>

La marca de tiempo final del intervalo de tiempo, en formato ISO8601.

interval
enum<string>

El intervalo para el que se agruparán las estadísticas.

Opciones disponibles:
DAY,
HOUR,
MINUTE,
MONTH,
QUARTER,
QUARTER_HOUR,
SECOND,
WEEK,
YEAR
startTimestamp
string<date-time>

La marca de tiempo inicial del intervalo de tiempo, en formato ISO8601.

Respuesta

successful operation

results
object[]
requerido
total
integer<int32>
requerido
paging
object
Last modified on June 5, 2026